#include <stdexcept>
#include "drawcontext.h"
#include "window.h"

using namespace std;

namespace Msp {
namespace Graphics {

DrawContext::DrawContext(Window &w):
	display(w.get_display()),
	window(w)
{
	throw runtime_error("no DrawContext support on windows");
}

DrawContext::~DrawContext()
{ }

unsigned DrawContext::get_depth() const
{
	return 0;
}

unsigned char *DrawContext::get_data()
{
	return 0;
}

void DrawContext::update()
{ }

} // namespace Graphics
} // namespace Msp
