#ifndef MSP_GRAPHICS_DRAWCONTEXT_H_
#define MSP_GRAPHICS_DRAWCONTEXT_H_

namespace Msp {
namespace Graphics {

class Display;
class Window;

class DrawContext
{
private:
	struct Private;

	Display &display;
	Window &window;
	Private *priv;

public:
	DrawContext(Window &);
	~DrawContext();

	Window &get_window() const { return window; }
	unsigned get_depth() const;
	unsigned char *get_data();
	void update();
};

} // namespace Graphics
} // namespace Msp

#endif
